[![Build Status](https://cicd.apps.glenux.net/api/badges/glenux-opencontainers/service-gitit/status.svg)](https://cicd.apps.glenux.net/glenux-opencontainers/service-gitit)


# Usage

Please define the following environment variables

* GITIT_USER_EMAIL:             jon.smith@example.com
* GITIT_USER_NAME:              Jon Smith
* GITIT_REMOTE_REPOSITORY:      git@example.com/jon.smith/somewhere
* GITIT_REMOTE_DOMAIN:          example.com

Please mount the following volumes

* /path/to/your/data => /data

It is also strongly advised to run a cron task to mirror the wiki on a regular
basis

    # server cron jobs
    MAILTO="admin@server.com"
    PATH=/usr/local/bin:/usr/bin:/bin
    SHELL=/bin/bash

    # m   h   dom mon dow   username command
    # *   *   *   *   *     dokku    command to be executed
    # -   -   -   -   -
    # |   |   |   |   |
    # |   |   |   |   +----- day of week (0 - 6) (Sunday=0)
    # |   |   |   +------- month (1 - 12)
    # |   |   +--------- day of month (1 - 31)
    # |   +----------- hour (0 - 23)
    # +----------- min (0 - 59)

    ### HIGH TRAFFIC TIME IS B/W 00:00 - 04:00 AND 14:00 - 23:59
    ### RUN YOUR TASKS FROM 04:00 - 14:00
    ### KEEP SORTED IN TIME ORDER

    ### PLACE ALL CRON TASKS BELOW

    # removes unresponsive users from the subscriber list to decrease bounce rates
    0 * * * * docker run --rm thecontainer sh -c "cd wikidata && git push --set-upstream origin master"

    ### PLACE ALL CRON TASKS ABOVE, DO NOT REMOVE THE WHITESPACE AFTER THIS LINE


